lab:
  description: ''
  notes: ''
  timestamp: 1631288527.9406555
  title: clab302
  version: 0.0.4
nodes:
  - id: n0
    label: R1
    node_definition: iosv
    x: -400
    y: -50
    configuration: |-
      Building configuration...

      Current configuration : 3098 bytes
      !
      ! Last configuration change at 15:58:40 UTC Fri Sep 10 2021
      !
      version 15.9
      service timestamps debug datetime msec
      service timestamps log datetime msec
      no service password-encryption
      !
      hostname R1
      !
      boot-start-marker
      boot-end-marker
      !
      !
      no logging console
      !
      no aaa new-model
      !
      !
      !
      mmi polling-interval 60
      no mmi auto-configure
      no mmi pvc
      mmi snmp-timeout 180
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      no ip domain lookup
      ip cef
      no ipv6 cef
      !
      multilink bundle-name authenticated
      !
      !
      !
      !
      !
      redundancy
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      interface GigabitEthernet0/0
       ip address 10.2.12.1 255.255.255.0
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      interface GigabitEthernet0/1
       ip address 10.2.13.1 255.255.255.0
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      interface GigabitEthernet0/2
       ip address 10.2.14.1 255.255.255.0
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      interface GigabitEthernet0/3
       no ip address
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      router ospf 1
       network 10.2.0.0 0.0.255.255 area 0
      !
      ip forward-protocol nd
      !
      !
      no ip http server
      no ip http secure-server
      !
      ipv6 ioam timestamp
      !
      !
      !
      control-plane
      !
      banner exec ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner incoming ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner login ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      !
      line con 0
       exec-timeout 0 0
      line aux 0
      line vty 0 4
       login
       transport input none
      !
      no scheduler allocate
      !
      end
    image_definition: iosv-159-3
    tags: []
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        slot: 0
        label: GigabitEthernet0/0
        type: physical
      - id: i2
        slot: 1
        label: GigabitEthernet0/1
        type: physical
      - id: i3
        slot: 2
        label: GigabitEthernet0/2
        type: physical
      - id: i4
        slot: 3
        label: GigabitEthernet0/3
        type: physical
  - id: n1
    label: R2
    node_definition: iosv
    x: -150
    y: -50
    configuration: |-
      Building configuration...

      Current configuration : 3098 bytes
      !
      ! Last configuration change at 15:59:06 UTC Fri Sep 10 2021
      !
      version 15.9
      service timestamps debug datetime msec
      service timestamps log datetime msec
      no service password-encryption
      !
      hostname R2
      !
      boot-start-marker
      boot-end-marker
      !
      !
      no logging console
      !
      no aaa new-model
      !
      !
      !
      mmi polling-interval 60
      no mmi auto-configure
      no mmi pvc
      mmi snmp-timeout 180
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      no ip domain lookup
      ip cef
      no ipv6 cef
      !
      multilink bundle-name authenticated
      !
      !
      !
      !
      !
      redundancy
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      interface GigabitEthernet0/0
       ip address 10.2.12.2 255.255.255.0
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      interface GigabitEthernet0/1
       ip address 10.2.23.2 255.255.255.0
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      interface GigabitEthernet0/2
       ip address 10.2.24.2 255.255.255.0
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      interface GigabitEthernet0/3
       no ip address
       shutdown
       duplex auto
       speed auto
       media-type rj45
      !
      router ospf 1
       network 10.2.0.0 0.0.255.255 area 0
      !
      ip forward-protocol nd
      !
      !
      no ip http server
      no ip http secure-server
      !
      ipv6 ioam timestamp
      !
      !
      !
      control-plane
      !
      banner exec ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner incoming ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner login ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      !
      line con 0
       exec-timeout 0 0
      line aux 0
      line vty 0 4
       login
       transport input none
      !
      no scheduler allocate
      !
      end
    image_definition: iosv-159-3
    tags: []
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        slot: 0
        label: GigabitEthernet0/0
        type: physical
      - id: i2
        slot: 1
        label: GigabitEthernet0/1
        type: physical
      - id: i3
        slot: 2
        label: GigabitEthernet0/2
        type: physical
      - id: i4
        slot: 3
        label: GigabitEthernet0/3
        type: physical
  - id: n2
    label: Dist1
    node_definition: iosvl2
    x: -400
    y: 100
    configuration: |-
      Building configuration...

      Current configuration : 2956 bytes
      !
      ! Last configuration change at 15:59:31 UTC Fri Sep 10 2021
      !
      version 15.2
      service timestamps debug datetime msec
      service timestamps log datetime msec
      no service password-encryption
      service compress-config
      !
      hostname Dist1
      !
      boot-start-marker
      boot-end-marker
      !
      !
      no logging console
      !
      no aaa new-model
      !
      !
      !
      !
      !
      vtp mode transparent
      !
      !
      !
      no ip domain-lookup
      ip cef
      no ipv6 cef
      !
      !
      !
      spanning-tree mode pvst
      spanning-tree extend system-id
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      interface GigabitEthernet0/0
       negotiation auto
      !
      interface GigabitEthernet0/1
       negotiation auto
      !
      interface GigabitEthernet0/2
       negotiation auto
      !
      interface GigabitEthernet0/3
       negotiation auto
      !
      interface GigabitEthernet1/0
       negotiation auto
      !
      interface GigabitEthernet1/1
       negotiation auto
      !
      interface GigabitEthernet1/2
       negotiation auto
      !
      ip forward-protocol nd
      !
      ip http server
      ip http secure-server
      !
      ip ssh server algorithm encryption aes128-ctr aes192-ctr aes256-ctr
      ip ssh client algorithm encryption aes128-ctr aes192-ctr aes256-ctr
      !
      !
      !
      !
      !
      !
      control-plane
      !
      banner exec ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner incoming ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner login ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      !
      line con 0
       exec-timeout 0 0
      line aux 0
      line vty 0 4
      !
      !
      end
    image_definition: iosvl2-2019
    tags: []
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        slot: 0
        label: GigabitEthernet0/0
        type: physical
      - id: i2
        slot: 1
        label: GigabitEthernet0/1
        type: physical
      - id: i3
        slot: 2
        label: GigabitEthernet0/2
        type: physical
      - id: i4
        slot: 3
        label: GigabitEthernet0/3
        type: physical
      - id: i5
        slot: 4
        label: GigabitEthernet1/0
        type: physical
      - id: i6
        slot: 5
        label: GigabitEthernet1/1
        type: physical
      - id: i7
        slot: 6
        label: GigabitEthernet1/2
        type: physical
  - id: n3
    label: Dist2
    node_definition: iosvl2
    x: -150
    y: 100
    configuration: |-
      Building configuration...

      Current configuration : 3005 bytes
      !
      ! Last configuration change at 15:59:50 UTC Fri Sep 10 2021
      !
      version 15.2
      service timestamps debug datetime msec
      service timestamps log datetime msec
      no service password-encryption
      service compress-config
      !
      hostname Dist2
      !
      boot-start-marker
      boot-end-marker
      !
      !
      no logging console
      !
      no aaa new-model
      !
      !
      !
      !
      !
      vtp mode transparent
      !
      !
      !
      no ip domain-lookup
      ip cef
      no ipv6 cef
      !
      !
      !
      spanning-tree mode pvst
      spanning-tree extend system-id
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      !
      interface GigabitEthernet0/0
       negotiation auto
      !
      interface GigabitEthernet0/1
       negotiation auto
      !
      interface GigabitEthernet0/2
       negotiation auto
      !
      interface GigabitEthernet0/3
       negotiation auto
      !
      interface GigabitEthernet1/0
       negotiation auto
      !
      interface GigabitEthernet1/1
       negotiation auto
      !
      interface GigabitEthernet1/2
       negotiation auto
      !
      interface GigabitEthernet1/3
       negotiation auto
      !
      ip forward-protocol nd
      !
      ip http server
      ip http secure-server
      !
      ip ssh server algorithm encryption aes128-ctr aes192-ctr aes256-ctr
      ip ssh client algorithm encryption aes128-ctr aes192-ctr aes256-ctr
      !
      !
      !
      !
      !
      !
      control-plane
      !
      banner exec ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner incoming ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      banner login ^C
      **************************************************************************
      * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
      * education. IOSv is provided as-is and is not supported by Cisco's      *
      * Technical Advisory Center. Any use or disclosure, in whole or in part, *
      * of the IOSv Software or Documentation to any third party for any       *
      * purposes is expressly prohibited except as otherwise authorized by     *
      * Cisco in writing.                                                      *
      **************************************************************************^C
      !
      line con 0
       exec-timeout 0 0
      line aux 0
      line vty 0 4
      !
      !
      end
    image_definition: iosvl2-2019
    tags: []
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        slot: 0
        label: GigabitEthernet0/0
        type: physical
      - id: i2
        slot: 1
        label: GigabitEthernet0/1
        type: physical
      - id: i3
        slot: 2
        label: GigabitEthernet0/2
        type: physical
      - id: i4
        slot: 3
        label: GigabitEthernet0/3
        type: physical
      - id: i5
        slot: 4
        label: GigabitEthernet1/0
        type: physical
      - id: i6
        slot: 5
        label: GigabitEthernet1/1
        type: physical
      - id: i7
        slot: 6
        label: GigabitEthernet1/2
        type: physical
      - id: i8
        slot: 7
        label: GigabitEthernet1/3
        type: physical
links:
  - id: l0
    i1: i1
    n1: n0
    i2: i1
    n2: n1
  - id: l1
    i1: i3
    n1: n0
    i2: i6
    n2: n3
  - id: l2
    i1: i2
    n1: n0
    i2: i6
    n2: n2
  - id: l3
    i1: i2
    n1: n1
    i2: i7
    n2: n2
  - id: l4
    i1: i3
    n1: n1
    i2: i7
    n2: n3
  - id: l5
    i1: i5
    n1: n2
    i2: i8
    n2: n3
